kind: pipeline
name: default

steps:
- name: build
  image: node:alpine
  commands:
    - npm install
    - npm run build

- name: deploy
  image: registry.eterna.leafbla.de/pelipper
  settings:
    ssh_key:
      from_secret: rsync_key
    source: build/
    destination: pelipper@oreburgh.leafbla.de:/srv/docker/party/nginx/html/sugar/

trigger:
  branch:
  - main

image_pull_secrets:
- docker_config